#include <Foundation/NSString.h>
@interface NSFramework_MediaKit : NSObject
+ (NSString *)frameworkEnv;
+ (NSString *)frameworkPath;
+ (NSString *)frameworkVersion;
+ (NSString *const*)frameworkClasses;
@end
@implementation NSFramework_MediaKit
+ (NSString *)frameworkEnv { return nil; }
+ (NSString *)frameworkPath { return @"/usr/lib/GNUstep/Frameworks"; }
+ (NSString *)frameworkVersion { return @"0"; }
static NSString *allClasses[] = {@"MKObjectPipe", @"MKMediaFile", @"MKMusicPlayer", @"SoundService", @"OSSDevice", NULL};
+ (NSString *const*)frameworkClasses { return allClasses; }
@end
